/// <reference types="node" resolution-mode="require"/>
/// <reference types="node" resolution-mode="require"/>
/// <reference types="node" resolution-mode="require"/>
import { existsSync as _existsSync } from 'fs';
import _fsp from 'fs/promises';
import { execa as _execa } from 'execa';
import * as _path from 'path';
import { Printer } from '@aws-amplify/cli-core';
import { PackageManagerControllerBase } from './package_manager_controller_base.js';
/**
 * YarnModernPackageManagerController is an abstraction around yarn modern (yarn v2+) commands that are needed to initialize a project and install dependencies
 */
export declare class YarnModernPackageManagerController extends PackageManagerControllerBase {
    protected readonly cwd: string;
    private readonly printer;
    protected readonly fsp: typeof _fsp;
    protected readonly path: _path.PlatformPath;
    protected readonly execa: typeof _execa;
    protected readonly executeWithDebugLogger: (cwd: string, executable: string, args?: readonly string[] | undefined, execa?: typeof _execa, options?: import("execa").Options<"utf8"> | undefined) => import("execa").ExecaChildProcess<string>;
    protected readonly existsSync: typeof _existsSync;
    /**
     * constructor
     */
    constructor(cwd: string, printer: Printer, fsp?: typeof _fsp, path?: _path.PlatformPath, execa?: typeof _execa, executeWithDebugLogger?: (cwd: string, executable: string, args?: readonly string[] | undefined, execa?: typeof _execa, options?: import("execa").Options<"utf8"> | undefined) => import("execa").ExecaChildProcess<string>, existsSync?: typeof _existsSync);
    initializeTsConfig: (targetDir: string) => Promise<void>;
    /**
     * addLockFile - adds a yarn.lock file to the project root for yarn v2+
     */
    private addLockFile;
    private addTypescript;
}
//# sourceMappingURL=yarn_modern_package_manager_controller.d.ts.map